summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Audrius Kažukauskas2010-05-11 14:03:46 +0200
committer Michiel van Wessem2010-05-11 14:03:46 +0200
commit5e753e4a84fdec864debd1f24855a71a035ada34 (patch)
tree6d93a256886676d3ff458ed62ffb91e74850417f /desktop
parent1abe96c40c1e144d2c6afca306c586e85b8444a2 (diff)
downloadslackbuilds-5e753e4a84fdec864debd1f24855a71a035ada34.tar.gz
desktop/kkbswitch: Initial import
Diffstat (limited to 'desktop')
-rw-r--r--desktop/kkbswitch/README7
-rw-r--r--desktop/kkbswitch/kkbswitch.SlackBuild60
-rw-r--r--desktop/kkbswitch/kkbswitch.info8
-rw-r--r--desktop/kkbswitch/slack-desc11
4 files changed, 86 insertions, 0 deletions
diff --git a/desktop/kkbswitch/README b/desktop/kkbswitch/README
new file mode 100644
index 0000000000..7be39cc27c
--- /dev/null
+++ b/desktop/kkbswitch/README
@@ -0,0 +1,7 @@
+KKBSwitch is a keyboard layout indicator for KDE 2 or 3. It is useful when you
+have configured the XKeyboard extension of your X Server to have more than one
+keyboard group (layout), for example US/ASCII and Russian. KKBSwitch displays
+an icon in the system tray that indicates which layout is currently active.
+Note that KKBSwitch does not help you configure XKeyboard, it merely serves as
+the indicator of the current layout. You still have to configure XKeyboard by
+editing the XF86Config file.
diff --git a/desktop/kkbswitch/kkbswitch.SlackBuild b/desktop/kkbswitch/kkbswitch.SlackBuild
new file mode 100644
index 0000000000..ce4cf35284
--- /dev/null
+++ b/desktop/kkbswitch/kkbswitch.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for kkbswitch
+# Written by Audrius Kazukauskas <neobug@tornado.ktu.lt>
+
+# Slightly modified by the SlackBuilds.org project
+# Exit on most errors
+set -e
+
+PRGNAM=kkbswitch
+VERSION=1.4.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KDEPREF=`kde-config --prefix`
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEPREF \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --program-suffix="" \
+ --program-prefix=""
+
+make
+make install-strip DESTDIR=$PKG
+
+gzip -9 $PKG/opt/kde/man/man1/kkbswitch.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/kkbswitch/kkbswitch.info b/desktop/kkbswitch/kkbswitch.info
new file mode 100644
index 0000000000..d5a0b0d40a
--- /dev/null
+++ b/desktop/kkbswitch/kkbswitch.info
@@ -0,0 +1,8 @@
+PRGNAM="kkbswitch"
+VERSION="1.4.3"
+HOMEPAGE="http://kkbswitch.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/sourceforge/kkbswitch/kkbswitch-1.4.3.tar.gz"
+MD5SUM="f8e9bc82f6506e5d1e21ffafb6fef9c3"
+MAINTAINER="Audrius Kazukauskas"
+EMAIL="neobug@tornado.ktu.lt"
+APPROVED="BP{k}"
diff --git a/desktop/kkbswitch/slack-desc b/desktop/kkbswitch/slack-desc
new file mode 100644
index 0000000000..75d2f65ef8
--- /dev/null
+++ b/desktop/kkbswitch/slack-desc
@@ -0,0 +1,11 @@
+kkbswitch: KKBSwitch (Keyboard layout indicator)
+kkbswitch:
+kkbswitch: KKBSwitch is a keyboard layout indicator for KDE 2 or 3. It is
+kkbswitch: usefull when you have configured the XKeyboard extension of your
+kkbswitch: X Server to have more than one keyboard group (layout), for example
+kkbswitch: US/ASCII and Russian. KKBSwitch displays an icon in the system tray
+kkbswitch: that indicates which layout is currently active. Note that
+Kkkbswitch: KBSwitch does not help you configure XKeyboard, it merely serves
+kkbswitch: as the indicator of the current layout. You still have to configure
+kkbswitch: XKeyboard by editing the XF86Config file.
+kkbswitch: